org.eclipse.actf.visualization.eval

## Interface ICheckTarget

All Known Subinterfaces:
  IHtmlCheckTarget

    public interface ICheckTarget

Interface for evaluation target information

### Method Summary

Methods
`Document` `getAdditionalDocument(String key)` Get additional `Document`
`Document` `getTargetDocument()` Get evaluation target `Document`
`String` `getTargetUrl()` Get evaluation target URL
`void` `setAdditionalDocument(String key, Document document)` Set additional `Document` for evaluation with key

### Method Detail

#### getTargetDocument

    Document getTargetDocument()

Get evaluation target `Document`

Returns:
  target `Document`

#### getTargetUrl

    String getTargetUrl()

Get evaluation target URL

Returns:
  target URL

#### setAdditionalDocument

    void setAdditionalDocument(String key,
                             Document document)

Set additional `Document` for evaluation with key

Parameters:
  `key` - key
  `document` - target `Document`

#### getAdditionalDocument

    Document getAdditionalDocument(String key)

Get additional `Document`

Parameters:
  `key` - target key
Returns:
  target `Document` associated with target key